from django.db import models
from django.utils.translation import gettext_lazy


class LocationCode(models.Model):
    """ Directory of Country/Region in format ICO-3166-2"""

    code = models.CharField(gettext_lazy('code'), max_length=15, help_text='Format from ISO-3166-2')

    class Meta:
        verbose_name = gettext_lazy('Country/Region  code')
        verbose_name_plural = gettext_lazy('Country/Region  codes')

    def __str__(self) -> str:
        return self.code
